package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.BchAuthority;
import com.brilliance.isc.vo.manager.BchAuthorityVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.HashMap;
import java.util.List;

@Mapper
public interface BchAuthorityMapper {

    int insert(BchAuthority record);

    int insertSelective(BchAuthority record);

    int updateByPrimaryKeySelective(BchAuthority record);

    int updateByPrimaryKey(BchAuthority record);

    int deleteByPrimaryKey(BchAuthority record);

    int deleteByIds(Collection<Object> collection);

    BchAuthority selectByPrimaryKey(BchAuthority record);

    List<BchAuthorityVo> listFuzzyByRecord(BchAuthorityVo record);

    int updateStatusByBranch(BchAuthority record);

    BchAuthority getJudgementFlag(@Param("branch")String branch);

    List<String> findConfigSettlement();

    List<String> getPreNoticeBranch();

}
